/* 
Transition 0-100%
Animation 0 1% 2% .... 100%
*/

div {
    width: 200px;
    height: 100px;
    color: white;
    margin: 10px;
}

.transition {
    background: red;
    transition: all 2s linear;
}

.transition:hover {
    background: yellow;
    transform: translateX(100px);
}

.animation {
    background: blue;
    animation-name: move;
    animation-duration: 10s;
    animation-iteration-count: 2;
    /* shorthand
    animation: move 5s infinite;
     */
}

@keyframes move {
    0% {
        transform: translateX(20px);
    }

    50% {
        transform: translateX(100px);
        background: red;
    }

    75% {
        transform: translateX(-200px);
        background: yellow;
    }

    100% {
        transform: translateX(20px);
        background: green;
    }
}

/* animation-fill-mode:what values are applied by 
the animation outside the time it is executing */

.animation {
    background: blue;
    animation: move 5s 2;
    animation-fill-mode: forwards;
    /* sets the end value of animation */
}

@keyframes move {
    0% {
        opacity: 0;
    }

    25% {
        transform: translateX(200px);
        opacity: 0.25;
    }

    50% {
        transform: translateX(-100px);
        opacity: 1;
    }

    100% {
        transform: translateX(0);
        opacity: 0.5;
    }
}